local modifier
local vector2 = require("#microsoft.xna.framework.vector2")
local coroutineEntity = monocle.Entity()

local function dash(xVector,yVector)
  player.OverrideDashDirection = vector2(xVector, yVector)
  helpers.setPlayerState (2)
  helpers.wait(0.6)
  helpers.setPlayerState (11)
  player.OverrideDashDirection = nil
end

function onBegin()
	disableRetry()
	disableMovement()
	disablePause()
	player.OverrideDashDirection = nil

	level = getLevel()
	player.ForceCameraUpdate = true
	level.CameraOffset = vector2(0, 50)

	wait(3.5)
end

function onEnd()
	player.ForceCameraUpdate = false
	enableRetry()
	enableMovement()
	enablePause()
end